Last Comment Bug 676465 - Replace PRBool with boolean in IDL files
: Replace PRBool with boolean in IDL files
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Michael Wu [:mwu]
:
Mentors:
Depends on:
Blocks: 675553
  Show dependency treegraph
 
Reported: 2011-08-03 22:09 PDT by Michael Wu [:mwu]
Modified: 2011-08-28 13:32 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Replace PRBools with boolean in IDLs (30.62 KB, patch)
2011-08-03 22:09 PDT, Michael Wu [:mwu]
benjamin: review+
Details | Diff | Review

Description Michael Wu [:mwu] 2011-08-03 22:09:40 PDT
Created attachment 550603 [details] [diff] [review]
Replace PRBools with boolean in IDLs

I ran:

find . ! -wholename "*nsprpub*" ! -wholename "*security/nss*" ! -wholename "*/.hg*" -type f -iname "*.idl" | xargs -n 1 sed -i "s/\([\ \t]\)PRBool/\1boolean/g"

and then adjusted the resulting patch by hand to eliminate changes in c++ code and interfaces that actually want to use PRBool. (mostly some test interfaces)
Comment 2 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-08-08 05:46:02 PDT
http://hg.mozilla.org/mozilla-central/rev/f7dc94e1b75c
Comment 3 Michael Wu [:mwu] 2011-08-27 08:49:37 PDT
One hunk in this got lost after bug 672536 merged interfaces. I put it back in.

http://hg.mozilla.org/integration/mozilla-inbound/rev/870b53893fd6
Comment 4 Ed Morley [:emorley] 2011-08-28 13:32:31 PDT
The missing hunk:
http://hg.mozilla.org/mozilla-central/rev/870b53893fd6

Note You need to log in before you can comment on or make changes to this bug.